CREATE TABLE ap_recon_summary_details (
    RECON_ITEM_ID              NUMBER(18, 0) ,
    RECON_ITEM_CODE            VARCHAR2(100)     NOT NULL,
    RECON_ITEM_ORDER           NUMBER(18, 0)     NOT NULL,
    CODE_COMBINATION_ID        NUMBER(18, 0) ,
    LEDGER_ID                  NUMBER(18, 0)     NOT NULL,
    DATA_SOURCE                VARCHAR2(32)      NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    BU_ID                      NUMBER(18, 0) ,
    AP_ACCTD_AMOUNT            NUMBER        ,
    ACCOUNTED_DR               NUMBER        ,
    ACCOUNTED_CR               NUMBER        ,
    BALANCING_SEGMENT          VARCHAR2(100) ,
    NATURAL_ACCOUNT_SEGMENT    VARCHAR2(100) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    RECON_ITEM_ID              NUMBER(18, 0) ,
    RECON_ITEM_CODE            VARCHAR2(100)     NOT NULL,
    RECON_ITEM_ORDER           NUMBER(18, 0)     NOT NULL,
    CODE_COMBINATION_ID        NUMBER(18, 0) ,
    LEDGER_ID                  NUMBER(18, 0)     NOT NULL,
    DATA_SOURCE                VARCHAR2(32)      NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    BU_ID                      NUMBER(18, 0) ,
    AP_ACCTD_AMOUNT            NUMBER        ,
    ACCOUNTED_DR               NUMBER        ,
    ACCOUNTED_CR               NUMBER        ,
    BALANCING_SEGMENT          VARCHAR2(100) ,
    NATURAL_ACCOUNT_SEGMENT    VARCHAR2(100) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    CONSTRAINT pk_ap_recon_summary_details PRIMARY KEY (RECON_ITEM_ID, RECON_ITEM_ID)
);
